<?php

namespace XoopsModules\Kw_device;

/*
Utility Class Definition

You may not change or alter any portion of this comment or credits of
supporting developers from this source code or any supporting source code
which is considered copyrighted (c) material of the original comment or credit
authors.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */

/**
 * @license      http://www.fsf.org/copyleft/gpl.html GNU public license
 * @copyright    https://xoops.org 2001-2017 &copy; XOOPS Project
 * @author       Mamba <mambax7@gmail.com>
 */

// use XoopsModules\Kw_device;
// use XoopsModules\Kw_device\Common;

// require_once dirname(__DIR__) . '/function.php';

/**
 * Class Utility
 */
class Update
{

    // use Common\VersionChecks; //checkVerXoops, checkVerPhp Traits
    // use Common\ServerStats; // getServerStats Trait
    // use Common\FilesManagement; // Files Management Trait

    //檢查某欄位是否存在
    //check kw_device_book table for last two columns
    public static function chk_chk1()
    {
        global $xoopsDB;
        $sql = "select count(distinct `book_class_start`,`book_class_end`) from " . $xoopsDB->prefix("kw_device_book");
        $result = $xoopsDB->query($sql);
        if (empty($result)) {
            return false;
        }

        return true;
    }

    //執行更新
    public static function go_update1()
    {
        global $xoopsDB;
        $sql = "ALTER TABLE " . $xoopsDB->prefix("kw_device_book") .
            " ADD COLUMN `book_class_start` smallint(2) NULL,
                  ADD COLUMN `book_class_end` smallint(2) NULL ";
        $xoopsDB->queryF($sql) or redirect_header(XOOPS_URL, 3, $xoopsDB->error());

        return true;
    }

    //變更 CKeditor 的欄位為 text，避免標籤被截斷
    public static function chk_chk2()
    {
        global $xoopsDB;

        $sql = "SELECT DATA_TYPE FROM INFORMATION_SCHEMA.COLUMNS  WHERE table_name = '" . $xoopsDB->prefix('kw_device_equ') . "' AND COLUMN_NAME = 'equ_note'";

        $result = $xoopsDB->query($sql);
        list($DATA_TYPE) = $xoopsDB->fetchRow($result);
        if ('varchar' === $DATA_TYPE) {
            return true;
        }

        return false;
    }

    //執行更新
    public static function go_update2()
    {
        global $xoopsDB;
        $sql = 'ALTER TABLE `' . $xoopsDB->prefix('kw_device_equ') . "` CHANGE `equ_note` `equ_note` text NOT NULL COMMENT '設備描述注意事項'";
        $xoopsDB->queryF($sql) or redirect_header(XOOPS_URL, 3, $xoopsDB->error());

        $sql = 'ALTER TABLE `' . $xoopsDB->prefix('kw_device_book') . "` CHANGE `book_desc` `book_desc` text NOT NULL COMMENT '用途說明'";
        $xoopsDB->queryF($sql) or redirect_header(XOOPS_URL, 3, $xoopsDB->error());
        return true;
    }
}
